@echo off
title 怒海激战快速调整DirectDraw
mode con:cols=50 lines=12
color ff

echo   正在关闭DirectDraw加速...即将启动游戏
reg add "HKLM\SOFTWARE\Microsoft\Direct3D\Drivers" /v SoftwareOnly /t REG_DWORD /d 1 /f 0>nul 1>nul
reg add "HKLM\SOFTWARE\Microsoft\DirectDraw" /v EmulationOnly /t REG_DWORD /d 1 /f 0>nul 1>nul
gpupdate /force 0>nul 1>nul

E:\怒海激战\BCS.exe     

echo   游戏结束，正在开启DirectDraw加速...
reg add "HKLM\SOFTWARE\Microsoft\Direct3D\Drivers" /v SoftwareOnly /t REG_DWORD /d 0 /f 0>nul 1>nul
reg add "HKLM\SOFTWARE\Microsoft\DirectDraw" /v EmulationOnly /t REG_DWORD /d 0 /f 0>nul 1>nul
gpupdate /force 0>nul 1>nul
echo   成功开启DirectDraw加速
goto :eof
